#ifdef WIN32
#pragma comment(lib, "c:\\TopfieldDisk\\DataFiles\\SDK\\TAP_SDK_DLL")
#include "TAP_Emulations.h"
#endif

#include "tap.h"
#include "menu.h"
#include "dlmalloc.h"

void logText(const char* text, bool close_log);
void saveRecycleBinList();
void saveRecycleBinListFromKnown(char *known_dir);
		
extern char log_buffer[512];
extern char curr_dir[256];
extern char tracked_dir[256];
extern char known_dir[256];
extern word no_of_recycles;
extern dword recurse_subfolders;

word recycle_bin_key = 30001;
bool InDateFilesFolder(char* path);
bool ChangeDirPath(char *path);
//char* GetCurrentDir(void);

struct _recycle_bin_list_ol2
{
	char file_name[100];
	char directory[256];
	bool folder;
	word mjd;
	word hour;
	word min;
	dword size;
} recycle_bin_list_ol2;

struct _recycle_bin_list_old
{
	char file_name[100];
	char directory[256];
	bool folder;
	word mjd;
	word hour;
	word min;
} recycle_bin_list_old;

extern struct _recycle_bin_list
{
	char file_name[100];
	char directory[256];
	bool folder;
	word mjd;
	word hour;
	word min;
	dword size;
	word deletion_mjd;
	word deletion_hour;
	word deletion_min;
	dword start_cluster;
} *recycle_bin_list[512];

void convertRecycleBin2(TYPE_File *file)
{
	word i;

	TAP_Hdd_Fread(&no_of_recycles, sizeof(int), 1, file);
	TAP_Print("Convert data to add deletion date, nor %d\r\n", no_of_recycles);
	recycle_bin_key = 30001;
	for (i = 0; i < no_of_recycles; i++) {
		recycle_bin_list[i] = dlmalloc(sizeof(*recycle_bin_list[i]));
		memset(recycle_bin_list[i], 0, sizeof(*recycle_bin_list[i]));

		TAP_Hdd_Fread(recycle_bin_list[i], sizeof(recycle_bin_list_ol2), 1, file);
		recycle_bin_list[i]->deletion_mjd = recycle_bin_list[i]->mjd;
		recycle_bin_list[i]->deletion_hour = recycle_bin_list[i]->hour;
		recycle_bin_list[i]->deletion_min = recycle_bin_list[i]->min;
	}
	
	TAP_Hdd_Fclose(file);
	saveRecycleBinList();
}

void convertRecycleBin1(TYPE_File *file)
{
	TYPE_File *recycle_file;
	word i;

	TAP_Print("Convert data to add file size and deletion date, nor %d\r\n", recycle_bin_key);
	no_of_recycles = recycle_bin_key;				
	recycle_bin_key = 30001;
	for (i = 0; i < no_of_recycles; i++) {
		recycle_bin_list[i] = dlmalloc(sizeof(*recycle_bin_list[i]));
		memset(recycle_bin_list[i], 0, sizeof(*recycle_bin_list[i]));

		TAP_Hdd_Fread(recycle_bin_list[i], sizeof(recycle_bin_list_old), 1, file);
		ChangeDirPath(recycle_bin_list[i]->directory);
		recycle_file = TAP_Hdd_Fopen(recycle_bin_list[i]->file_name);
		if (recycle_file != NULL) {
			recycle_bin_list[i]->size = TAP_Hdd_Flen(recycle_file);
			TAP_Hdd_Fclose(recycle_file);
		}
		recycle_bin_list[i]->deletion_mjd = recycle_bin_list[i]->mjd;
		recycle_bin_list[i]->deletion_hour = recycle_bin_list[i]->hour;
		recycle_bin_list[i]->deletion_min = recycle_bin_list[i]->min;
	}
	
	TAP_Hdd_Fclose(file);
	saveRecycleBinList();
}

/* load the list in from file, recycle_bin.dat */
void loadRecycleBinList()
{
	TYPE_File *file;
	word i;
	char dat_name[20], *load_dump;
		
	ChangeDirMediaManager();

	strcpy(dat_name, "recycle_bin.dat");
	no_of_recycles = 0;

	if (TAP_Hdd_Exist(dat_name))
	{
		if (verbose) if (write_log) logText("Reading recycle bin list from file", FALSE);
		file = TAP_Hdd_Fopen(dat_name);
		if (file != NULL)
		{
			TAP_Hdd_Fread(&recycle_bin_key, sizeof(int), 1, file);
			if (recycle_bin_key == 30001) {
				TAP_Hdd_Fread(&no_of_recycles, sizeof(int), 1, file);
				
				if (no_of_recycles > 0) {
					load_dump = dlmalloc(sizeof(*recycle_bin_list[0]) * no_of_recycles);
					TAP_Hdd_Fread(load_dump, sizeof(*recycle_bin_list[0]), no_of_recycles, file);
					for (i = 0; i < no_of_recycles; i++) {
						recycle_bin_list[i] = dlmalloc(sizeof(*recycle_bin_list[i]));
						memcpy(recycle_bin_list[i], load_dump, sizeof(*recycle_bin_list[i]));
						load_dump += sizeof(*recycle_bin_list[i]);
					}

					load_dump -= sizeof(*recycle_bin_list[0]) * no_of_recycles;
					dlfree(load_dump);
					dlmalloc_trim(0);
				}

				//for (i = 0; i < no_of_recycles; i++) {
				//	recycle_bin_list[i] = dlmalloc(sizeof(*recycle_bin_list[i]));
				//	TAP_Hdd_Fread(recycle_bin_list[i], sizeof(*recycle_bin_list[i]), 1, file);
				//}

				TAP_Hdd_Fclose(file);
			}
			ef (recycle_bin_key == 30000) {
				// convert file to add the deletion date
				convertRecycleBin2(file);
			}
			else {
				// convert file to add the file size and deletion date
				convertRecycleBin1(file);
			}
		}
	}

	ChangeDirPath(curr_dir);
}

void appendToRecycleBinList(char *file_name, dword start_cluster, char *directory, word mjd, word hour, word min, dword size, bool folder)
{
	word current_mjd;
	byte current_hour, current_min, current_sec;

	if (no_of_recycles >= 512)
		return ;

	if (write_log) if (verbose) TAP_SPrint(log_buffer, "Append to recycle bin list at %d", no_of_recycles);
	if (write_log) if (verbose) logText(log_buffer, FALSE);

	recycle_bin_list[no_of_recycles] = dlmalloc(sizeof(*recycle_bin_list[no_of_recycles]));
	strcpy(recycle_bin_list[no_of_recycles]->file_name, file_name);
	strcpy(recycle_bin_list[no_of_recycles]->directory, directory);
	recycle_bin_list[no_of_recycles]->mjd = mjd;
	recycle_bin_list[no_of_recycles]->hour = hour;
	recycle_bin_list[no_of_recycles]->min = min;
	recycle_bin_list[no_of_recycles]->size = size;
	recycle_bin_list[no_of_recycles]->folder = folder;
	TAP_GetTime(&current_mjd, &current_hour, &current_min, &current_sec);
	recycle_bin_list[no_of_recycles]->deletion_mjd = current_mjd;
	recycle_bin_list[no_of_recycles]->deletion_hour = current_hour;
	recycle_bin_list[no_of_recycles]->deletion_min = current_min;
	recycle_bin_list[no_of_recycles]->start_cluster = start_cluster;
	no_of_recycles++;
	saveRecycleBinListFromKnown(directory);
}

void removeFromRecycleBinList(int delete_idx)
{
	int i;

	// shuffle up recycles and delete last entry
	for (i = delete_idx; i < (no_of_recycles-1); i++)
	{
		strcpy(recycle_bin_list[i]->file_name, recycle_bin_list[i+1]->file_name);
		strcpy(recycle_bin_list[i]->directory, recycle_bin_list[i+1]->directory);
		recycle_bin_list[i]->mjd = recycle_bin_list[i+1]->mjd;
		recycle_bin_list[i]->hour = recycle_bin_list[i+1]->hour;
		recycle_bin_list[i]->min = recycle_bin_list[i+1]->min;
		recycle_bin_list[i]->size = recycle_bin_list[i+1]->size;
		recycle_bin_list[i]->folder = recycle_bin_list[i+1]->folder;
		recycle_bin_list[i]->deletion_mjd = recycle_bin_list[i+1]->deletion_mjd;
		recycle_bin_list[i]->deletion_hour = recycle_bin_list[i+1]->deletion_hour;
		recycle_bin_list[i]->deletion_min = recycle_bin_list[i+1]->deletion_min;
		recycle_bin_list[i]->start_cluster = recycle_bin_list[i+1]->start_cluster;
	}
	dlfree(recycle_bin_list[no_of_recycles-1]);
	no_of_recycles--;
}

void doRecycleBinTidy()
{
	int i;
	char *current_folder;

	// check entries starting at the end
	for (i = no_of_recycles-1; i >= 0; i--)
	{
		ChangeDirPath(recycle_bin_list[i]->directory);
		//current_folder = GetCurrentDir();
		if (strcmp(recycle_bin_list[i]->directory, tracked_dir) != 0) {
			if (write_log) if (verbose) TAP_SPrint(log_buffer, "Remove recycle bin entry %s", recycle_bin_list[i]->file_name);
			if (write_log) if (verbose) logText(log_buffer, FALSE);
			removeFromRecycleBinList(i);
		}
		else {
			if (!TAP_Hdd_Exist(recycle_bin_list[i]->file_name)) {
				if (write_log) if (verbose) TAP_SPrint(log_buffer, "Remove recycle bin entry %s", recycle_bin_list[i]->file_name);
				if (write_log) if (verbose) logText(log_buffer, FALSE);
				removeFromRecycleBinList(i);
			}
		}
		//dlfree(current_folder);
		//current_folder = NULL;
	}

	saveRecycleBinList();
}

dword getTotalRecycledFileSize()
{
	dword total_size = 0;
	word i;

	// shuffle up recycles and delete last entry
	for (i = 0; i < no_of_recycles; i++) {
		total_size += recycle_bin_list[i]->size / 1000000;
	}

	return total_size;
}

// remove the last entry
void rollbackRecycleBinList()
{
	dlfree(recycle_bin_list[no_of_recycles-1]);
	no_of_recycles--;
}

void removeAllFromRecycleBinList()
{
	word i;

	for (i = 0; i < no_of_recycles; i++)
	{
		dlfree(recycle_bin_list[i]);
	}
	no_of_recycles = 0;
}

int existsInRecycleBinList(char *file_name, char *directory)
{
	word i;

	for (i = 0; i < no_of_recycles; i++)
	{
		if (strcmp(file_name, recycle_bin_list[i]->file_name) == 0 && strcmp(directory, recycle_bin_list[i]->directory) == 0)
			return i;
	}

	return -1;
}

void renameRecycle(char *old_file_name, char *old_directory, char *new_file_name, char *new_directory, char *known_dir)
{
	int i;

	if (write_log) if (verbose) TAP_SPrint(log_buffer, "Attempt to rename recycle file %s, in %s", old_file_name, old_directory);
	if (write_log) if (verbose) logText(log_buffer, FALSE);
	for (i = 0; i < no_of_recycles; i++) {
		if (strcmp(old_file_name, recycle_bin_list[i]->file_name) == 0 && strcmp(old_directory, recycle_bin_list[i]->directory) == 0) {
			strcpy(recycle_bin_list[i]->file_name, new_file_name);
			strcpy(recycle_bin_list[i]->directory, new_directory);
			break;
		}
	}

	saveRecycleBinListFromKnown(known_dir);
}

void saveRecycleBinDetails()
{
	TYPE_File *file;
	word i;
	char *save_dump;

	TAP_Hdd_Delete("recycle_bin.dat");
	TAP_Hdd_Create("recycle_bin.dat", ATTR_NORMAL);
	file = TAP_Hdd_Fopen("recycle_bin.dat");
	TAP_Hdd_Fwrite(&recycle_bin_key, sizeof(int), 1, file);
	TAP_Hdd_Fwrite(&no_of_recycles, sizeof(int), 1, file);

	if (no_of_recycles > 0) {
		save_dump = dlmalloc(sizeof(*recycle_bin_list[0]) * no_of_recycles);

		for (i = 0; i < no_of_recycles; i++) {
			memcpy(save_dump, recycle_bin_list[i], sizeof(*recycle_bin_list[i]));
			save_dump += sizeof(*recycle_bin_list[i]);
		}
		save_dump -= sizeof(*recycle_bin_list[0]) * no_of_recycles;
		TAP_Hdd_Fwrite(save_dump, sizeof(*recycle_bin_list[i]), no_of_recycles, file);
		
		dlfree(save_dump);
		dlmalloc_trim(0);
	}
	
	//for (i = 0; i < no_of_recycles; i++)
	//	TAP_Hdd_Fwrite(recycle_bin_list[i], sizeof(*recycle_bin_list[i]), 1, file);

	TAP_Hdd_Fclose(file);
}

void saveRecycleBinListFromKnown(char *dir)
{
	strcpy(known_dir, dir);

	// save recycle bin list to file
	ChangeDirMediaManager();
	saveRecycleBinDetails();
	ChangeDirPath(known_dir);
}

void saveRecycleBinList()
{
	// save recycle bin list to file
	ChangeDirMediaManager();

	saveRecycleBinDetails();

	ChangeDirPath(curr_dir);
}