/* This is the translatable text file for Media Manager.
   
   Please maintain all capitalisations, and where short names, or abbreviations, have been used,
   it is usually because of a shortage of space on screen, so any translations should also 
   be as short as possible. 

   I have documented phrases or abbreviations which may cause confusion, but if you have any questions
   please do not hesitate to contact me at mark.riley@dsl.pipex.com

*/

typedef struct {
	char option_name[40];
	bool divider;
} _options;

// menu option names
static _options options[] = { {"Activation Keys & Quick Start Settings", TRUE},
							  {"Photo activation key", FALSE},
							  {"Music activation key", FALSE},
							  {"Video activation key", FALSE},
				  /* NEW */	  {"File Manager activation key", FALSE},
							  {"Default slideshow folder", FALSE},
							  {"Default photo startup folder", FALSE},
							  {"Radio mode",	FALSE},				
							  {"MP3 mode", FALSE},
							  {"Photo play mode", FALSE}, 
							  {"MP3 play mode", FALSE},

							  {"Photo Settings", TRUE},
							  {"Delay between photos", FALSE},
							  {"Widescreen squash factor", FALSE},
							  {"Anti-flicker filter", FALSE},
							  {"Fade between images", FALSE},
							  {"Aspect ratio for slideshow", FALSE},
							  {"Full screen photo display", FALSE},
							  {"Cache all photos?", FALSE},
							  {"Overnight cache time", FALSE},

				/* NEW */	  {"Music Settings", TRUE},
				/* NEW */	  {"At end of music selection", FALSE},
				/* NEW */	  {"Order by track number if possible", FALSE},
				/* NEW */	  {"Use number keys to search listing", FALSE},
				/* NEW */	  {"TV channel to switch to", FALSE},
				/* NEW */	  {"Preload MP3 info", FALSE},

							  {"Video Style Settings", TRUE},
							  {"Video name to display", FALSE},
							  {"Highlight oldest video", FALSE},
						      //{"Hide 'Back up' when in \\DataFiles", FALSE},
							  {"File list video progress format", FALSE},
							  {"Footer video progress format", FALSE},
							  {"Footer video header format", FALSE},
							  {"Show remaining recording hours", FALSE},
							  {"Display logos", FALSE},
							  {"Show last played video icon", FALSE},
				/* NEW */	  {"Display watched icon after", FALSE},
				/* NEW */	  {"Extended info format", FALSE},

							  {"Video Functions", TRUE},
							  {"Video bit rate as Megabytes per min", FALSE},
							  {"Resume last played video key", FALSE},
				/* NEW */	  {"Create thumbnail key", FALSE},
							  {"Ok/Play key video behaviour", FALSE},
							  {"Preload video headers", FALSE},
							  {"Decode speed", FALSE},
							  {"Decode channel", FALSE},
							  {"GMT Offset", FALSE},
				/* NEW */	  {"Video screensaver mode", FALSE},
				/* NEW */	  {"Video screensaver delay", FALSE},
							  {"Create video scenes", FALSE},
							  {"Create video thumbnail after", FALSE},
							  {"Create video scene every", FALSE},
							  {"Create video thumbs overnight?", FALSE},
							  {"Run auto delete rules overnight?", FALSE},
							  {"Process videos overnight?", FALSE},
							  {"Shutdown when job has finished", FALSE},
							  {"Overnight video job time", FALSE},
							  {"Enable stop menu", FALSE},
							  {"Show stop menu after", FALSE},
				  /* NEW */	  {"Jump to first bookmark", FALSE},

							  {"Global Settings", TRUE},
							  {"Enable recycle bin", FALSE},
							  {"Delete items from bin if disk", FALSE},
			   /*NEW*/		  {"Delete items from bin after", FALSE},
							  {"Date to use in recycle bin", FALSE},
							  {"Include subfolders", FALSE},
							  {"Auto rename rule for move", FALSE},
							  {"File list paging keys", FALSE},
							  {"Discard navigation history", FALSE},
							  {"Switch components using < & >", FALSE},
				/* NEW */	  {"Move 'Bare bones' display every", FALSE},
							  {"Sort order for Photo Manager", FALSE},
							  {"Sort order for Music Manager", FALSE},
							  {"Sort order for Video Manager", FALSE},
							  {"Sort order for Recycle Bin", FALSE},
							  {"Show all files key", FALSE},
				  /* NEW */	  {"Display Toppy archive", FALSE},
							  {"Logging", FALSE},
							  {"Logging level", FALSE},

							  {"Style Settings", TRUE},
							  {"Disk space display format", FALSE},
							  {"Display folder preview", FALSE},
							  {"Hide folder count", FALSE},
							  {"Hide empty folders", FALSE},
							  {"Hide 'Back up'", FALSE},
							  {"Show folders at end of list", FALSE},
							  {"Show header icons", FALSE},
							  {"File icon alignment", FALSE},
							  {"Disable thumbnails in footer", FALSE},
				/* NEW */	  {"Disable file details in footer", FALSE},
						      {"Text justification", FALSE},
							  {"Gradient colour factor", FALSE},
							  {"Two tone colour position", FALSE},
							  {"File list X Offset", FALSE},
							  {"File list Y Offset", FALSE},
							  {"Photo viewer X Offset", FALSE},
							  {"Photo viewer Y Offset", FALSE},
							  {"Thumbnail list X Offset", FALSE},
							  {"Thumbnail list Y Offset", FALSE},
							  {"Masterpiece mode", FALSE},
							  {"Skin", FALSE},
				/* NEW */	  {"Font", FALSE},


							  {"System Functions", TRUE},
							  {"Tidy up hard disk", FALSE},
							  {"Run video job now", FALSE},
				/* NEW */	  {"Reload MP3 info", FALSE},
						      {"Refresh skins", FALSE},
							  {"Exit TAP", FALSE}};

// menu option help text
static char  options_help[][200] = {"", // Quick start
						      "Specify the key to open the Photo Manager File list.",
							  "Specify the key to open the Music Manager File list. This will display the contents of the \\MP3 folder the first time it is opened.", 
							  "Specify the key to open the Video Manager File list. This will display the contents of the \\DataFiles folder the first time it is opened.", 
				  /* NEW */	  "Specify the key to open the File Manager File list. This will display the contents of the \\ProgramFiles folder the first time it is opened.", 
							  "Specify the folder to be used as the source of photos for the MP3/Radio slideshow or screensaver. Selecting 'Playlist' will display the photos defined in the photo playlist.", 
							  "Specify the folder whose contents are to be displayed when first opening the Photo Manager File list.", 
							  "Optionally choose to view a slideshow or screensaver when switching to a radio channel.",							
							  "Optionally choose to view a slideshow, a screensaver, album art, a stylish text only display or a blank screen when playing a tune.", 
							  "View photos in sequential or random order.", 
							  "Listen to tunes in sequential or random order.", 
							  "", // Photo Settings
							  "Specify an interval in seconds between photos in the slideshow.", 
							  "For widescreen TVs, optionally squash the horizontal width of the photo. The higher the percentage selected, the more the photo is squashed.", 
							  "Apply a filter to images to substantially reduce flickering. This may be especially useful for users with 50Hz Televisions.", 
							  "Turn this option on to apply a fade effect in the slideshow. This will fade out the current image, and fade in the next image, giving a smoother transition.", 
							  "Switch to a particular aspect ratio when viewing photos.", 
							  "Turn 'On' to have photos display 'full screen' by default.", 
							  "Turn 'On' to cache all photos on the hard drive in a one-off overnight photo batch job.", 
							  "Choose a time for the overnight photo batch job to run.", 
							  "", // Music Settings
				/* NEW */	  "Select the desired action when the current selection of tunes has finished playing. Yuo can choose to stop playing, repeat the selection, or play the next album.", 
				/* NEW */	  "Turn 'On' to order by track number. This will only be possible if all tracks have a unique track number defined. Otherwise it will default to order by name.", 
				/* NEW */	  "Turn 'On' to use the remote keys 2-9 to search the file listing in the Music Manager. It is SMS style, e.g. press 2 twice and it will highlight the first item it finds that starts with 'B'.", 
				/* NEW */	  "Select a TV channel to switch to before listening to music. If you choose a silent channel this will prevent the TV sound coming through between tracks.", 
				/* NEW */	  "Choose whether to preload MP3 header data into memory (e.g. ID3 tags). It can either be loaded at startup, or loaded 'lazily' i.e. only when it is needed.", 
							  "", // Video Style Settings
							  "Choose between displaying the 'File name', the 'EPG event name' or a trimmed version of the 'File name' with e.g. the date removed, in the Video Manager File list.", 
							  "Turn 'On' to ensure that the oldest video in the list is highlighted when ordered by date and when first displaying the Video Manager File list.", 
							  //"Turn 'On' to hide the 'Back up' item from appearing in the File list when in the top level \\DataFiles folder.",
							  "Specify the format to view the video progress in lines in the File list e.g. 1h 3m, 34%, +54/-19 etc.", 
							  "Specify the format to view the video progress in the footer area e.g. 1h 3m, 34%, +54/-19 etc.", 
							  "Specify the format of the video details displayed in the footer area e.g. 'Event name', 'Channel - start/finish times' etc.", 
							  "Turn 'On' to include an estimate of the recording hours remaining in the disk space info lozenge.", 
							  "Turn 'On' to display channel logos in the Video Manager. This requires the smlogo.dat file to be in the /ProgramFiles folder. This file can be created by using the MakeLogos TAP.", 
							  "Turn 'On' to display an 'L' icon against a video if it was the last video to be played.", 
				  /* NEW */	  "Specify the percentage of a video that should be watched before a 'tick' icon is displayed. Set to zero if you never want the icon to be displayed.",
				  /* NEW */	  "Specify the details displayed when pressing 'Info' on a highlighted video.",
							  "", // Video Functions
							  "Define what your average bit rate for videos is, as Megabytes per minute. This aids the calculation of the remaining recording hours and also helps display the video file sizes correctly.",
				/* CHANGED */ "Specify the key which will resume the last watched video from where you left off.", 
				/* NEW */	  "Specify the key which will create the video thumbnail at the current point in playback.", 
							  "Set to 'Resume/From start' or 'From start/Resume' to define which way round the Ok/Play keys behave when playing a video.", 
				/* CHANGED */ "Preload all video headers into memory. This can either be done at startup, or 'lazily' i.e. only when it is needed. This should give a good performance improvement when browsing videos.", 
							  "Specify the decoding speed when copying or decrypting a video.", 
							  "Specify the channel to tune to before decoding a video. You can choose not to change channel, change to the channel of the source video, or change to a specific channel by choosing a channel number.", 
							  "Specify the offset from GMT if your video start/finish times are not being automatically adjusted.",
				/* NEW */	  "Optionally choose to view a slideshow or screensaver when a video is paused.", 
				/* NEW */	  "If the video screensaver is turned on, specify the delay before the screensaver should start.", 
							  "Turn 'On' to create video scenes (a la DVD) during the overnight video batch job.", 
							  "Specify how far into the video in minutes to create the thumbnail.", 
							  "Specify an interval in minutes to create the scenes (e.g. every 10 minutes).", 
							  "Turn 'On' to create any new video thumbnails/scenes in an overnight video batch job.", 
							  "Turn 'On' to run the auto delete rules in an overnight video batch job.",
							  "Choose 'Selection' to decode or play pre-selected videos as part of the overnight video batch job. Choose 'Auto decode' to automatically decode any new encrypted videos.", 
							  "Turn 'On' to shutdown the Toppy when the overnight batch job has finished.", 
							  "Choose a time for the overnight video batch job to run.", 
							  "Turn 'On' to pop up a menu when stopping a video.", 
							  "Specify the percentage of a video that needs to be watched before showing the stop menu.", 
				  /* NEW */	  "Turn 'On' to jump to the first bookmark when playing a video. This is designed to work with the Accurate Bookmarking (TM) TAP, and will do nothing if first bookmark is more than 10 mins into video.",
							  "", // Global Settings
							  "Turn 'On' to move all deleted files into the Recycle bin.", 
							  "Optionally specify that the Recycle bin should be emptied until the hard drive is, for example, no more than 80% full (0% = do not empty). This runs as part of the overnight video batch job.", 
               /* NEW */ 	  "Optionally specify that items should be removed from the bin x days after they are added (0 = do not remove). This runs as part of the overnight video batch job.", 
							  "Choose the date to show in the Recycle bin. This can be the date the file was deleted, or the date the file was created. This will also affect the ordering, if you choose to order by date.", 
							  "Turn 'On' to additionally include photos or tunes from all subfolders of the chosen folder.", 
							  "When moving files you can specify a rename method if a file of the same name exists in the folder you wish to move to. You can append a number or a datestamp.", 
							  "Specify the keys to page up and down in the File list. Choose from << & >>, or < & >. Note that sometimes the < & > keys already have functions in the File list so in this case use the << & >> keys.", 
							  "Turn 'On' to ensure the navigation history is deleted when exiting the File list. This means that next time you enter, it will display the default folder for the component.",
							  "Turn 'On' to allow the < & > keys to switch between the components. The order will be: Video Manager -> Music Manager -> Photo Manager -> ProgramFiles -> Video Manager.",
				/* NEW */	  "Set the number of seconds before the display is randomly repositioned when in 'Bare bones' mode. This helps prevent screen burn in on some displays, such as Plasma.",
							  "Specify the ordering for Photo Manager files, by date or by name.", 
							  "Specify the ordering for Music Manager files, by date or by name.", 
							  "Specify the ordering for Video Manager files, by date or by name.", 
							  "Specify the ordering for Recycle Bin files, by date or by name.",
							  "Specify the key which, when pressed, shows 'all files' in the File list, not just files relevant to the component. Press again to hide these files. This allows you to e.g. view log and config files.", 
				  /* NEW */	  "Turn 'On' to display the Toppy archive when the 'Archive' button is pressed while in the File list.", 
							  "Turn 'On' to write logging out to the file \\ProgramFiles\\MediaManager.log.", 
							  "Specify the logging verbosity level, either 'Scant' or 'Verbose'.", 
							  "", // Style Settings
							  "Choose what format to display the used disk space in, either 'Percentage' or 'Gigabytes'.", 
							  "Turn 'On' to see a preview of the highlighted folder either in the form or 4 miniature thumbnails for a video or photo folder, or in the form of album art for a music folder.", 
							  "Hides the count of the number of files in each subfolder from appearing in the File list right hand column. This can lead to a large performance improvement whilst navigating the folder structure.", 
							  "If 'Hide folder count' is turned 'Off', this options specifies whether folders are shown even if they contain no relevant files.", 
							  "Turn 'On' to hide the 'Back up' item from appearing in the File list when in the top level \\DataFiles folder.",
							  "Turn 'On' to display the folders at the end of the File list, rather than the start.",
							  "Choose to display either 'TEXT for Help' or a graphical icon in the left hand side of the header.", 
							  "Choose where file icons are placed in the file list. 'Left' places the icon to the left of the file name. 'Right' places it to the right of the file name.", 
							  "Turn 'On' to prevent any video, photo or music file thumbnails from appearing in the File list footer. Text relevant to the current selection will be displayed instead.", 
				/* NEW */	  "Turn 'On' to prevent ID3 info, EXIF info or TAP header info from appearing in the File list footer. This can lead to a performance improvement whilst navigating the folder structure.", 
							  "Choose between displaying 'Fully justified' text, or 'Left justified' text. This applies to blocks of text such as a Video description.", 
							  "Set the colour gradient used for lines in the File list to give a more 3-D feel. The higher the number, the more noticeable the gradient.", 
							  "This option cannot be set if 'Gradient colour factor' is set. It defines a subtle two tone shadow effect for lines in the File list. The higher the number, the more noticeable the shadow.", 
							  "Specify the X axis start point of the File list.", 
							  "Specify the Y axis start point of the File list.", 
							  "Specify the X axis start point of the Photo viewer.", 
							  "Specify the Y axis start point of the Photo viewer.", 
							  "Specify the X axis start point of the Thumbnail list.", 
							  "Specify the Y axis start point of the Thumbnail list.", 
							  "Turn this on if your Topfield is a Masterpiece and you are experiencing graphical corruption.", 
							  "Choose a skin to change the colour scheme of Media Manager.", 
				/* NEW */	  "Choose a font to change the appearance of the text within Media Manager.", 
							  "", // System Functions
							  "Press 'Recall' to remove any unnecessary data from your hard disk e.g. rogue thumbnails, scenes, redundant recycle bin and playlist entries. This process may take a while, so please be patient.", 
							  "Press 'Ok' to manually run the video job now.",
				/* NEW */	  "Press 'Ok' to reload all the MP3 header info. You should do this if you have added to or deleted from your MP3 collection.",
							  "Press 'Ok' to refresh the list of available skins.",
							  "Press 'Ok' to exit Media Manager completely."};

// other menu option text
static char none_t[] = "None";
static char archive_t[] = "Archive"; // as in the 'Archive' remote key
static char slow_motion_t[] = "Slow motion"; // as in the 'Slow motion' remote key
static char mute_t[] = "Mute";
static char tv_radio_t[] = "TV/Rad";
static char teletext_t[] = ">|";
static char PiP_t[] = "|<"; // PiP = Picture in Picture
static char PiP_swap_t[] = "Sat";
static char on_t[] = "On";
static char off_t[] = "Off";
static char random_t[] = "Random";
static char sequential_t[] = "Sequential";
static char seconds_t[] = "seconds";
static char minutes_t[] = "minutes";
static char press_ok_t[] = "Press Ok";
static char press_recall_t[] = "Press Recall";
static char verbose_t[] = "Verbose";
static char scant_t[] = "Scant"; // scant = not much, little of
static char by_date_option_t[] = "By date";
static char by_name_option_t[] = "By name";
static char by_size_option_t[] = "By size";
static char by_rev_date_option_t[] = "By reverse date";
static char by_rev_name_option_t[] = "By reverse name";
static char by_rev_size_option_t[] = "By reverse size";
static char percentage_used_t[] = "Percentage used";
static char gigabytes_used_t[] = "Gigabytes used";
static char percentage_free_t[] = "Percentage free";
static char gigabytes_free_t[] = "Gigabytes free";
static char left_t[] = "Left";
static char right_t[] = "Right";
static char album_art_t[] = "Album art";
static char screensaver_1_t[] = "Screensaver 1 (Thumbnails)";
static char screensaver_2_t[] = "Screensaver 2 (Slow reveal)";
static char screensaver_3_t[] = "Screensaver 3 (Enlarger)"; // enlarger = grows bigger
static char screensaver_4_t[] = "Screensaver 4 (Inside out)";
static char screensaver_5_t[] = "Screensaver 5 (Jigsaw)";
static char bare_bones_t[] = "Bare bones";
static char blank_screen_t[] = "Blank screen";
static char do_not_switch_t[] = "Do not switch";
static char switch_center_t[] = "Switch to 4:3 center extract";
static char switch_letterbox_t[] = "Switch to 4:3 letterbox";
static char switch_widescreen_t[] = "Switch to 16:9";
static char overnight_t[] = "Overnight";
static char on_close_t[] = "On close";
static char file_name_t[] = "File name";
static char event_name_t[] = "Event name";
static char trimmed_file_name_t[] = "Trimmed file name";
static char from_start_resume_t[] = "From start/Resume";
static char resume_from_start_t[] = "Resume/From start";
static char from_start_from_start_t[] = "From start/From start";
static char mins_gone_left_t[] = "Mins gone/left: +xm/-xm";
static char mins_gone_t[] = "Mins gone: xm";
static char mins_left_t[] = "Mins left: -xm";
static char hours_mins_gone_t[] = "Hours/Mins gone: xh xm";
static char hours_mins_left_t[] = "Hours/Mins left: -xh xm";
static char percentage_gone_t[] = "Percentage gone";
static char percentage_left_t[] = "Percentage left";
static char not_displayed_t[] = "Not displayed";
static char channel_name_t[] = "Channel name";
static char start_end_t[] = "Start ~ End";
static char date_t[] = "Date";
static char size_mb_t[] = "Size (MB)";
static char duration_t[] = "Duration";
static char create_t[] = "Create";
static char create_then_shutdown_t[] = "Create then shutdown";
static char run_t[] = "Run";
static char run_then_shutdown_t[] = "Run then shutdown";
static char of_video_watched_t[] = "of video watched";
static char use_deletion_date_t[] = "Use deletion date";
static char use_creation_date_t[] = "Use creation date";
static char by_number_t[] = "By number";
static char by_date_if_clash_t[] = "By date if clash";
static char by_date_and_time_if_clash_t[] = "By date and time if clash";
static char by_date_always_t[] = "By date always";
static char by_date_and_time_always_t[] = "By date and time always";
static char full_t[] = "full";
static char options_menu_all_t[] = "Options menu (all ";
static char of_them_t[] = "of them)";

// lozenge text
static char disk_space_used_t[] = "Disk space used";
static char disk_space_free_t[] = "Disk space free";
static char normal_space_used_t[] = "Normal space used";
static char recycle_space_used_t[] = "Recycle space used";

// various text
static char text_for_help_t[] = ">| for Help";
static char of_t[] = "of"; // e.g. 5 of 19
static char to_t[] = "to"; // e.g. 5 to 19
static char for_t[] = "for";
static char photo_t[] = "photo";
static char photos_t[] = "photos";
static char tune_t[] = "tune";
static char tunes_t[] = "tunes";
static char video_t[] = "video";
static char videos_t[] = "videos";
static char file_t[] = "file";
static char files_t[] = "files";
static char scene_t[] = "scene";
static char scenes_t[] = "scenes";
static char recycle_bin_t[] = "Recycle bin";
static char by_name_t[] = "[by name]";
static char by_date_t[] = "[by date]";
static char by_rev_name_t[] = "[by rev. name]";  // rev. = reverse
static char by_rev_date_t[] = "[by rev. date]";
static char auto_delete_list_t[] = "Auto delete list";
static char rule_set_t[] = "rule set";
static char rule_sets_t[] = "rule sets";
static char details_of_t[] = "Details of";
static char up_t[] = "up";
static char down_t[] = "down";
static char photo_playlist_t[] = "Photo playlist";
static char mp3_playlist_t[] = "MP3 playlist";
static char elements_t[] = "elements";
static char yes_t[] = "Yes";
static char no_t[] = "No";
static char playlists_t[] = "Playlists";
static char delete_t[] = "Delete";
static char move_t[] = "Move";
static char load_t[] = "Load";
static char skins_t[] = "Skins";
static char move_to_folder_t[] = "Move to folder";
static char please_enter_pin_t[] = "Please enter PIN";
static char stop_menu_t[] = "Stop menu";
static char trim_video_to_start_t[] = "Trim video to start";
static char trim_video_to_end_t[] = "Trim video to end";
static char split_video_t[] = "Split video";
static char delete_video_t[] = "Delete video";
static char no_album_art_to_display_t[] = "No album art to display";
static char refused_to_load_t[] = "refused to load";
static char refused_to_decode_t[] = "refused to decode";
static char taken_from_the_album_t[] = "Taken from the album";
static char produced_in_t[] = "produced in";
static char paused_t[] = "Paused";
static char rename_t[] = "Rename";
static char next_t[] = "Next";
static char previous_t[] = "Previous";
static char rotating_t[] = "Rotating";
static char loading_and_decoding_t[] = "Loading and decoding image...";
static char searching_for_images_t[] = "Searching for images...";
static char searching_for_mp3s_t[] = "Searching for MP3s...";
static char tidying_started_t[] = "Tidying started, please wait...";
static char tidying_recycle_bin_t[] = "Tidying recycle bin...";
static char tidying_playlists_t[] = "Tidying playlists...";
static char tidying_recording_progress_t[] = "Tidying recording progress data...";
static char tidying_finished_t[] = "Tidying finished!";
static char running_auto_del_t[] = "Running auto delete rules...";
static char back_up_t[] = "Back up"; // i.e. return to parent directory
static char no_thumbnail_t[] = "No thumbnail";
static char h_t[] = "h"; // where h = hours
static char m_t[] = "m"; // where m - minutes
static char mins_lower_t[] = "mins";
static char unknown_artist_t[] = "Unknown artist";
static char unknown_album_t[] = "Unknown album";
static char playlisted_t[] = "Playlisted";
static char options_list_t[] = "Options";

// photo manager/music manager/video manager footer text
static char delete_file_t[] = "Delete file";
static char delete_folder_t[] = "Delete folder";
static char ok_t[] = "Ok";
static char play_t[] = "Play";
static char play_tune_t[] = "Play tune";
static char show_photo_t[] = "Show photo";
static char show_log_t[] = "Show log";
static char change_dir_t[] = "Change dir";
static char slideshow_t[] = "Slideshow";
static char play_folder_t[] = "Play folder";
static char play_all_tunes_t[] = "Play all tunes";
static char recall_t[] = "Recall";
static char guide_t[] = "Guide";
static char opts_t[] = "Sleep"; // as in options
static char info_t[] = "Info";
static char toggle_view_t[] = "Toggle view";
static char page_up_down_t[] = "Page up/down";
static char playlist_t[] = "Playlist";
static char extra_options_t[] = "Extra options";
static char new_folder_t[] = "New folder";
static char move_file_t[] = "Move file";
static char add_to_playlist_t[] = "Add to playlist";
static char previous_tune_t[] = "Previous tune";
static char next_tune_t[] = "Next tune";
static char stop_tune_t[] = "Stop tune";
static char exif_data_t[] = "EXIF data";
static char videos_in_folder_t[] = "Videos in folder";
static char invalid_date_t[] = "Invalid date";
static char invalid_time_t[] = "Invalid time";
static char hour_t[] = "Hour";
static char hours_t[] = "Hours";
static char min_t[] = "Min";
static char mins_t[] = "Mins"; // as in minutes 
static char recorded_t[] = "recorded";
static char watched_t[] = "watched";
static char playing_t[] = "Playing";
static char recording_t[] = "Recording";
static char chasing_t[] = "Chasing";
static char invalid_date_and_time_t[] = "Invalid date and time";
static char watched_capital_t[] = "Watched";
static char recorded_capital_t[] = "Recorded";
static char length_t[] = "Length";
static char file_size_t[] = "File size";
static char description_t[] = "Description";
static char channel_t[] = "Channel";
static char name_t[] = "Name";
static char play_scene_t[] = "Play scene";
static char white_t[] = "White"; // as in the 'White' remote key
static char slideshow_folder_t[] = "Slideshow folder";
static char ok_play_t[] = "Ok/Play";

// playlist footer text
static char list_t[] = "TV/Rad"; // as in the 'List' remote key
static char stop_t[] = "Stop";
static char start_playlist_t[] = "Start playlist";
static char load_playlist_t[] = "Load playlist";
static char shuffle_up_t[] = "Shuffle up";
static char shuffle_down_t[] = "Shuffle down";
static char delete_item_t[] = "Delete item";
static char clear_playlist_t[] = "Clear playlist";
static char save_playlist_t[] = "Save playlist";

// recycle bin footer text
static char reorder_t[] = "Reorder";
static char folder_t[] = "Folder";

// Photo Viewer text
static char resume_t[] = "Resume";
static char previous_next_t[] = "Previous/Next";
static char rotate_t[] = "Rotate";

// auto delete text
static char name_to_delete_t[] = "Name to delete";
static char save_and_exit_t[] = "Save and exit";
static char delete_after_t[] = "Delete after";
static char keep_at_least_t[] = "Keep at least";
static char keep_at_most_t[] = "Keep at most";
static char delete_when_disk_t[] = "Delete when disk";

// keyboard text
static char rule_keyword_t[] = "Rule keyword";
static char name_new_folder_t[] = "Name new folder"; // i.e. give folder a name
static char name_new_playlist_t[] = "Name new playlist"; // i.e. give playlist a name
static char name_file_t[] = "Name file"; // i.e. give file a name
static char low_upper_t[] = "LOW"; // low = lower case, max of 5 characters
static char upp_upper_t[] = "UPP"; // upp = upper case, max of 5 characters
static char num_upper_t[] = "NUM"; // num = numeric, max of 5 characters
static char clear_upper_t[] = "CLEAR"; // max of 5 characters
static char del_upper_t[] = "DEL"; // DEL = delete, max of 5 characters
static char space_upper_t[] = "SPACE"; // max of 5 characters
static char save_upper_t[] = "SAVE"; // max of 5 characters

// keyboard footer text
static char pause_t[] = "Pause";
static char delete_char_t[] = "Delete char"; // char = character
static char space_t[] = "Space";
static char shift_case_t[] = "Shift case";
static char return_t[] = "Return";
static char clear_all_chars_t[] = "Clear all chars";
static char save_and_return_t[] = "Save and return";
static char move_cursor_back_t[] = "Move cursor back";
static char move_cursor_forward_t[] = "Move cursor forward";

// EXIF text (the starred ones are more important to translate as they appear in the footer)
static char camera_make_t[] = "Camera make"; //**
static char camera_model_t[] = "Camera model"; //**
static char date_time_t[] = "Date/Time"; //**
static char resolution_t[] = "Resolution"; //**
static char orientation_t[] = "Orientation"; //**
static char colour_t[] = "Colour";
static char flash_used_t[] = "Flash used"; //**
static char focal_length_t[] = "Focal length"; //**
static char digital_zoom_t[] = "Digital zoom";
static char exposure_time_t[] = "Exposure time"; //**
static char aperture_t[] = "Aperture";
static char focus_distance_t[] = "Focus distance";
static char iso_equivalent_t[] = "ISO equivalent";
static char exposure_bias_t[] = "Exposure bias";
static char white_balance_t[] = "White balance";
static char metering_mode_t[] = "Metering mode";
static char exposure_t[] = "Exposure";
static char encoding_t[] = "Encoding";

// Skin Editor text
static char delete_element_t[] = "Delete element"; // element = an entry in the mcf file e.g. FooterBackground
static char add_element_t[] = "Add element";
static char set_as_default_t[] = "Set as default";
static char decrease_colour_t[] = "Decrease colour";
static char increase_colour_t[] = "Increase colour";
static char save_to_disk_t[] = "Save to disk";
static char test_changes_t[] = "Test changes";
static char skin_elements_t[] = "Skin elements";

// Bare bones MP3 mode help
static char press_text_to_toggle_t[] = "Press TEXT to toggle this Help";
static char prev_tune_t[] = "Prev tune"; // prev = previous
static char restart_tune_t[] = "Restart tune";
static char prev_folder_t[] = "Prev folder"; // prev = previous
static char next_folder_t[] = "Next folder";

// Photo Manager help text
static char photo_manager_help_t[] = "Photo Manager Help";
static char record_t[] = "Record";
static char options_t[] = "Sleep";
static char exit_t[] = "Exit";
static char one_t[] = "One";
static char two_t[] = "Two";
static char three_t[] = "Three";
static char four_t[] = "Four";
static char five_t[] = "Five";
static char rename_file_t[] = "Rename file";
static char start_slideshow_t[] = "Start slideshow";
static char change_dir_show_photo_t[] = "Change dir/Show photo";
static char display_exif_info_t[] = "Display EXIF info";
static char browse_playlist_t[] = "Browse playlist";
static char add_photo_folder_to_playlist_t[] = "Add photo/folder to playlist";
static char return_to_tv_t[] = "Return to TV";
static char associate_photo_with_album_t[] = "Associate photo/folder with album";  /* CHANGED */
static char associate_photo_with_tune_t[] = "Associate photo/folder with tune";    /* CHANGED */
static char delete_photo_cache_t[] = "Delete photo cache";
static char delete_folder_cache_t[] = "Delete folder cache";

// Music Manager help text
static char music_manager_help_t[] = "Music Manager Help";
static char play_album_t[] = "Play album";
static char change_dir_play_tune_t[] = "Change dir/Play tune";
static char add_tune_folder_to_playlist_t[] = "Add tune/folder to playlist";
static char delete_art_association_t[] = "Delete art association";

// Video Manager help text
static char video_manager_help_t[] = "Video Manager Help";
static char tv_sat_t[] = "TV/Sat";
static char slow_t[] = "Slow";
static char play_video_t[] = "Play video";
static char stop_video_t[] = "Stop video";
static char resume_video_t[] = "Resume video";
static char change_dir_play_video_t[] = "Change dir/Play video";
static char change_dir_resume_video_t[] = "Change dir/Resume video";
static char details_t[] = "Details";
static char browse_scenes_t[] = "Browse scenes";
static char update_auto_delete_rules_t[] = "Update auto delete rules";
static char create_video_thumbnail_t[] = "Create video thumbnail";
static char create_video_scenes_t[] = "Create video scenes";
static char delete_video_thumb_scenes_t[] = "Delete video thumb/scenes";
static char delete_folder_thumbs_scenes_t[] = "Delete folder thumbs/scenes";
static char create_new_thumbs_scenes_t[] = "Create all new thumbs/scenes";

// Auto Delete help text
static char auto_delete_help_t[] = "Auto Delete Help";
static char run_rules_t[] = "Run rules";
static char run_all_rules_t[] = "Run all rules";
static char delete_rules_t[] = "Delete rules";
static char delete_all_rules_t[] = "Delete all rules";
static char add_rules_t[] = "Add rules";

// Recycle Bin help text
static char recycle_bin_help_t[] = "Recycle Bin Help";
static char smart_delete_t[] = "Smart delete"; // smart = intelligent in this context
static char sort_by_name_date_t[] = "Sort by name/date";
static char restore_file_t[] = "Restore file";
static char empty_bin_t[] = "Empty bin";

// Playlist help text
static char playlist_help_t[] = "Playlist Help";
static char play_entire_playlist_t[] = "Play entire playlist";
static char show_photo_play_tune_t[] = "Show photo/Play tune";
static char toggle_photo_music_playlist_t[] = "Toggle Photo/Music playlist";

// days of week (3 characters)
static char sun_t[] = "Sun";
static char mon_t[] = "Mon";
static char tue_t[] = "Tue";
static char wed_t[] = "Wed";
static char thu_t[] = "Thu";
static char fri_t[] = "Fri";
static char sat_t[] = "Sat";

// months (3 characters)
static char jan_t[] = "Jan";
static char feb_t[] = "Feb";
static char mar_t[] = "Mar";
static char apr_t[] = "Apr";
static char may_t[] = "May";
static char jun_t[] = "Jun";
static char jul_t[] = "Jul";
static char aug_t[] = "Aug";
static char sep_t[] = "Sep";
static char oct_t[] = "Oct";
static char nov_t[] = "Nov";
static char dec_t[] = "Dec";

// message/info box text
static char confirm_delete_t[] = "Confirm delete";
static char delete_all_files_t[] = "Delete all files";
static char delete_all_rule_sets_t[] = "Delete all rule sets";
static char empty_bin_till_disk_t[] = "Empty bin till disk";
static char invalid_pin_t[] = "Invalid PIN";
static char wrong_pin_t[] = "Sorry, the PIN is incorrect";
static char file_deleted_t[] = "file deleted";
static char files_deleted_t[] = "files deleted";
static char auto_delete_results_t[] = "Auto delete results";
static char skin_change_t[] = "Skin change";
static char new_skin_is_t[] = "New Media Manager skin is";
static char restoring_folder_t[] = "Restoring folder";
static char restoring_file_t[] = "Restoring file";
static char from_recycle_bin_t[] = "from recycle bin";
static char deleted_cache_t[] = "Deleted cache";
static char error_t[] = "Error";
static char warning_t[] = "Warning";
static char from_and_to_t[] = "You're 'From' and 'To' folders";
static char are_both_same_t[] = "are both the same";
static char attempting_to_move_folder_t[] = "You are attempting to move a folder";
static char within_itself_t[] = "within itself";
static char moving_folder_t[] = "Moving folder";
static char moving_file_t[] = "Moving file";
static char to_folder_t[] = "to folder";
static char for_folder_t[] = "for folder";
static char one_or_more_moves_failed_t[] = "One or more moves failed";
static char please_check_your_files_t[] = "please check your files";
static char sorted_t[] = "Sorted";
static char deleted_thumbs_scenes_for_t[] = "Deleted thumb/scenes for";
static char folder_lower_t[] = "folder";
static char reordered_by_t[] = "reordered by";
static char size_upper_t[] = "Size";
static char reverse_t[] = "Reverse";
static char to_recycle_bin_t[] = "to recycle bin";
static char saving_t[] = "Saving";
static char skin_t[] = "skin";
static char deleted_t[] = "Deleted";
static char association_created_t[] = "Association created";
static char for_the_album_t[] = "for the album";
static char for_the_tune_t[] = "for the tune";
static char is_now_the_art_t[] = "is now the art";
static char art_deleted_t[] = "Art deleted";

/////***************     NEW     **************/////////////

// auto delete text on lines
static char days_t[] = "days";
static char minimum_t[] = "min";    // as in 'minimum'
static char maximum_t[] = "max";    // as in 'maximum'
static char episodes_t[] = "episodes";

// skin editor help
static char skin_editor_help_t[] = "Skin Editor Help";
static char show_list_of_skins_t[] = "Show list of skins";
static char amend_red_t[] = "Inc/Dec red by 15";
static char amend_green_t[] = "Inc/Dec green by 15";
static char amend_blue_t[] = "Inc/Dec blue by 15";
static char set_skin_as_default_t[] = "Set skin as default";

static char fully_justify_t[] = "Fully justify";
static char left_justify_t[] = "Left justify";
static char hours_remain_t[] = "hours remain";

static char parent_folder_t[] = "Parent folder";
static char init_mm_t[] = "Initialising Media Manager";

static char exiting_t[] = "Exiting...";
static char event_time_t[] = "Event time";
static char progressive_t[] = "Progressive";

static char headers_onlt_t[] = "Headers only";
static char headers_and_thumbs_t[] = "Headers and thumbs";		/* CHANGED */

static char real_time_t[] = "Real time";
static char speed_t[] = "speed";

static char choose_batch_mode_t[] = "Choose batch mode";
static char decode_t[] = "Decode";
static char decode_or_play_t[] = "Choose whether to 'Decode' or 'Play' the video(s)";
static char video_job_t[] = "Video job";
static char at_t[] = "at";
static char run_now_t[] = "Run overnight job now";
static char delete_saved_t[] = "Deleted overnight video selection";

static char selection_t[] = "Selection";
static char auto_decode_t[] = "Auto decode";
static char then_shutdown_t[] = "then shutdown";

static char same_as_source_t[] = "Same as source video";

static char job_will_take_approx_t[] = "Job will take approximately";

static char search_t[] = "Search";
static char search_string_t[] = "Search string";
static char next_album_t[] = "Next album";
static char repeat_t[] = "Repeat";
static char lazy_t[] = "Lazy";
static char id3_info_t[] = "ID3 info";

static char loading_t[] = "Loading";
static char headers_t[] = "headers";
static char data_t[] = "data";

/* NEW */
static char progress_bar_t[] = "Progress bar";
static char all_details_t[] = "All details";
static char description_only_t[] = "Description only";
static char smart_t[] = "Smart";
static char when_in_t[] = "When in";
static char always_t[] = "Always";
static char with_t[] = "with";